insert into system.oracheck_read_waits (
select
   sysdate,
   'host',
   substr(tablespace_name,1,14),
   p2
from v$session_wait a, dba_data_files b
where
a.p1 = b.file_id
and
event = 'db file sequential read'
);

insert into system.oracheck_buffer_busy_waits (
select
   sysdate,
   'host',
   substr(tablespace_name,1,14),
   p2
from v$session_wait a, dba_data_files b
where
a.p1 = b.file_id
and
event = 'buffer busy waits'
);

insert into system.oracheck_lock_element_waits (
select
   sysdate,
   'host',
   substr(tablespace_name,1,14),
   p2
from v$session_wait a, dba_data_files b
where
a.p1 = b.file_id
and
event = 'lock element waits'
);


insert into system.oracheck_lock_element_cleanup (
select
   sysdate,
   'host',
   substr(tablespace_name,1,14),
   p2
from v$session_wait a, dba_data_files b
where
a.p1 = b.file_id
and
event = 'lock element cleanup'
);
